<?php
include("./sistem/cfg.dat");
include("./sistem/global.dat");
include("./temes/$teme/verh.dat");

if($status=="gost")
{
   echo'<div class="razd"><B>УСТАНОВКА</B></div>';
   if(empty($act))
   {
      echo'Здравствуйте, вы попали в меню установки нашего портала версии '.$version.'!<br>';
      echo'Вам необходимо пойти несколько шагов установки, если в процессе установки всё пройдёт без ошибок, то это будет означать, что портал будет функционировать хорошо!<br>';
      echo'<a href="install.php?act=l&amp;'.SID.'">Начать установку</a><br>';
      session_destroy();
   }
   
   if($act == "l")
   {
      echo'<form name="forma" action="index.php" method="post">';
      echo'<TEXTAREA NAME="txtsob" ROWS=8 COLS=50>';
      include("LICENSE.txt");
      echo'</TEXTAREA><br>';
      echo'</form>';
      echo'<a href="install.php?act=1&amp;'.SID.'">Я согласен, приступить к 1-му шагу установки</a><br>';
      
   }
   
   if($act == "1")
   {
      echo'Проверяем, в корневой ли папке расположен двиг<br>';
      if (file_exists("$koren_dir/sistem/cfg.dat"))
      {
         echo'Расположение правильное, теперь можно приступить к следующему шагу!<br>';
         echo'<a href="install.php?act=2&amp;'.SID.'">Шаг 2</a><br>';
      }else
      {
         echo'Двиг необноружыл нужного расположения папок. ВНИМАНИЕ, двиг устанавливается только в корневую папку!<br>';
         echo'<B>Установка не может быть продолжена!!!</B>';
      }
   }
   
   if($act == "2")
   {
      echo'Проверяем, наличие системных файлов, которые необходимы для нормальной работы. ';
      echo'И проверяем готовность к работе.<br><br>';
      function chmode($path)
      {
         if($handle = opendir ($path))
         {
            while(false !== ($file = readdir($handle)))
            {
               if($file != "." && $file != "..")
               {
                  $file_path = $path . "/" . $file; 
                  if(is_dir ($file_path))
                  {
                     chmod ($file_path, 0777);
                     chmode ($file_path); 
                  }else
                  {
                     chmod ($file_path, 0666);
                  }
               }
            }
            closedir($handle); 
         }
      }
      chmode(".");
      echo 'Папки готовы к работе - '; 
      if(is_writeable('data/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Гостевая готова к работе - '; 
      if(is_writeable('data/gb/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Чат готов к работе - '; 
      if(is_writeable('data/chat/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Форум готов к работе - '; 
      if(is_writeable('data/forum/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Загруз центр готов к работе - '; 
      if(is_writeable('dounload/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Библиотека готова к работе - '; 
      if(is_writeable('lib/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Новости готовы к работе - '; 
      if(is_writeable('data/news/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Приват готов к работе - '; 
      if(is_writeable('data/privat/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Системные файлы готовы к работе - '; 
      if(is_writeable('sistem/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br>';
      
      
      echo 'Регистрация готова к работе - '; 
      if(is_writeable('data/uzer/')){ echo '<font color="#00FF00">Да</font>'; }else
      { echo '<font color="#FF0000">Нет</font>'; }
      echo'<br><br>';
      
      echo'Если гдето написано <font color="#FF0000">Нет</font>, то зайдите на сайт через FTP и выставите права доступа на все папки 0777.<br> Если везде написано <font color="#00FF00">Да</font>, можно приступить к следующему шагу!<br>';
      echo'<a href="install.php?act=3&amp;'.SID.'">Шаг 3</a><br>';
      
   }
   
   if($act == "3")
   {
      echo'Сечас будет проверена работа сессии. Будет создона сессия и передана следующей странице.<br><br>';
      
      if($_SESSION['test_sess']="F_PORTAL")
      {
      	 echo'Сессия удачно зарегистрированна! <a href="install.php?act=4&amp;'.SID.'">Перейти на след. стр.</a><br>';
      }else
      {
      	 echo'Сессия не может зарегистрироваться! <B>Установка не может быть продолжена!!!</B>';
      }
      
   }
   
   if($act == "4")
   {
      echo'Принимаем сессию.<br><br>';
      
      if (isset($_SESSION['test_sess'])){  $test_sess = $_SESSION['test_sess'];}else{ $test_sess =""; }
      
      if($test_sess == "F_PORTAL")
      {
         echo'Сессия передалась успешно! Теперь можно перейти к регистрации админа.<br><a href="install.php?act=reg&amp;'.SID.'">Делее</a><br>';
      }else
      {
         echo'Сессия не передалась! <B>Установка не может быть продолжена!!!</B><br>';
      }
   }
   
   if($act == "reg")
   {
      if(isset($_SESSION['real_pr_kod'])){ $real_pr_kod = $_SESSION['real_pr_kod']; }else{ $real_pr_kod =""; }
      if(isset($_POST['pr_kod'])){$pr_kod = trim($_POST['pr_kod']);}
      
      if(isset($_POST['password'])){$password = trim($_POST['password']);}//обозначили пост переменные
      if(isset($_POST['uzer_login'])){$uzer_login = trim($_POST['uzer_login']);}////обозначили пост переменные
      ////////////////////////////////////////////////////////////////////////////////////////////
      ////////////////////////////////////////////////////////////////////////////////////////////
      ////////////////////////////////////////////////////////////////////////////////////////////
      if(empty($password) || empty($uzer_login) || empty($pr_kod))
      {
         echo'РЕГИСТРАЦИЯ АДМИНА!<br>';
         echo'Заполните пожалуйста все поля!<br>';
         echo'ВНИМАНИЕ, логин должен состоять только из латинских букв и цифр!<br>';
         echo'<form name="forma" action="install.php?'.SID.'" method="post">';
         echo'<INPUT TYPE="hidden" NAME="act" VALUE="reg">';
         echo'Логин<br>';
         echo'<input type="text" name="uzer_login" value="" size="10" maxlength="10"><br>';
         echo'Пароль<br>';
         echo'<input type="password" name="password" value="" size="10" maxlength="16"><br>';
         $real_pr_kod=rand(1111,9999);
         $_SESSION['real_pr_kod']=$real_pr_kod;
         echo'Введите: <B>'.$real_pr_kod.'</B><br>';
         echo'<input type="text" name="pr_kod" value="" size="4" maxlength="4"><br>';
         echo'<input type="submit" name="" value="Зарегистрироваться"><br>';
         echo'</form>';
         echo'После регистрации вы можете заполнить более подробную анкету';
      }else
      {
         if($real_pr_kod != $pr_kod){ echo'Проверочный код неправельный '; }else
         {
            if (eregi("[^a-zA-Z0-9]" , $uzer_login) || eregi("[^a-zA-Z0-9]" , $password)){ echo'Вы ввели запрещённые символы<br>'; }else
            {
               if (file_exists("data/uzer/$uzer_login.dat")){ echo'Такой логин уже существует<br>'; }else
               {
                  $uzer_login = str_replace("\r","",$uzer_login);
                  $uzer_login = str_replace("\n","",$uzer_login);
                  $password = str_replace("\r","",$password);
                  $password = str_replace("\n","",$password);
                  $uzer_login = htmlspecialchars($uzer_login);
                  $password = htmlspecialchars($password);
                  $time_reg = date("d.m.Y H:i:s");//время регистрации
                  $time_p = date("d");//день плюса
                  $posled_time_pribivanij = date("d.m.Y H:i:s");//последнее время прибывания
                  $posled_time = time();//time для вывода он лайн
                  $ip=htmlspecialchars($_SERVER['REMOTE_ADDR']);//ip адрес
                  $pas = md5( $password );//шифруем пароль в md5 для отправки в сессии
                  $password =md5( md5( $password ));//шифруем пароль в двойной md5 для записи в профиль
                  $time_reg2 = $posled_time;
                  
                  //РЕГИСТРИРУЕМ
                  $kod=''.$password.'<||>admin<||>0<||>0<||>0<||>нет бана<||>'.$time_reg.'<||>'.$time_p.'<||><||><||><||><||><||>oof<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$teme.'<||><||>'.$time_reg2.'<||><||><||><||><||><||><||><||><||><||><||><||><||><||><||><||><||>0<||>1000<||>';
                  $file_login_data = fopen("data/uzer/$uzer_login.dat", "w+");
                  flock ($file_login_data,LOCK_EX);
                  fputs($file_login_data,$kod);
                  flock ($file_login_data,LOCK_UN);
                  fclose($file_login_data);
                  @chmod("data/uzer/$uzer_login.dat", 0666);
                  
                  //создаём фаил привата
                  $file_privat = fopen("data/privat/$uzer_login.dat", "w+");
                  flock ($file_privat,LOCK_EX);
                  fputs($file_privat,"");
                  flock ($file_privat,LOCK_UN);
                  fclose($file_privat);
                  @chmod("data/privat/$uzer_login.dat", 0666);
                  
                  //создаём фаил привата для исходящих писем
                  $file_privat = fopen("data/privat/out-$uzer_login.dat", "w+");
                  flock ($file_privat,LOCK_EX);
                  fputs($file_privat,"");
                  flock ($file_privat,LOCK_UN);
                  fclose($file_privat);
                  @chmod("data/privat/out-$uzer_login.dat", 0666);
                  
                  //создаём фаил контактов
                  $file_kontakt = fopen("data/privat/kontakt-$uzer_login.dat", "w+");
                  flock ($file_kontakt,LOCK_EX);
                  fputs($file_kontakt,"");
                  flock ($file_kontakt,LOCK_UN);
                  fclose($file_kontakt);
                  @chmod("data/privat/kontakt-$uzer_login.dat", 0666);
                  
                  //создаём фаил игнора
                  $file_ignor = fopen("data/privat/ignor-$uzer_login.dat", "w+");
                  flock ($file_ignor,LOCK_EX);
                  fputs($file_ignor,"");
                  flock ($file_ignor,LOCK_UN);
                  fclose($file_ignor);
                  @chmod("data/privat/ignor-$uzer_login.dat", 0666);
                  
                  //записываем в список
                  $file_uzers = fopen("data/statstik/uzer.dat", "a+");
                  flock ($file_uzers,LOCK_EX);
                  fputs($file_uzers,$uzer_login."\r\n");
                  flock ($file_uzers,LOCK_UN);
                  fclose($file_uzers);
                  @chmod("data/statstik/uzer.dat", 0666);
                  
                  //РЕГИСТРИРУЕМ СЕССИЮ
                  $_SESSION['login']=$uzer_login;//регистрируем сессию
                  $_SESSION['pass']=$pas;//регистрируем сессию
                  echo'Вы успешно зарегистрировались<br><a href="../index.php?'.SID.'">Далее</a><br>';
               }
            }
         }
      }
      ////////////////////////////////////////////////////////////////////////////////////////////
      //////////////////////////////////////конец реги////////////////////////////////////////////
      ////////////////////////////////////////////////////////////////////////////////////////////
   }
}
if($status=="ban" || $status=="uzer" || $status=="moder" || $status=="admin")
{
   echo'<div class="razd"><B>РЕГИСТРАЦИЯ</B></div>';
   echo'Вы уже авторизированны<br>';
}
echo'<hr size="2" width="100%">';
echo'<a href="index.php?'.SID.'">Главная</a><br>';
include("./sistem/global_end.dat");
include("./temes/$teme/niz.dat");
?>